Subject: Re: [Dime] Peter Saint-Andre's Discuss on draft-ietf-dime-rfc3588bis-29: (withDISCUSS and COMMENT)

From: Glen Zorn <[email-masked]>
Date: Fri, 09 Mar 2012 15:34:06 +0700

On 3/8/2012 10:48 PM, Peter Saint-Andre wrote:
> On 3/8/12 8:27 AM, Jouni Korhonen wrote:
>> Peter,
>>
>> The text in recently submitted -30 Section 5.2 (
>> http://tools.ietf.org/html/draft-ietf-dime-rfc3588bis-30#section-5.2) should
>> also address your DISCUSS.
> 
> Thanks for the pointer to a specific section.
> 
> That change does address my primary concern, which was:
> 
>    RFC 3588 used DNS SRV Proto values of 'tcp' and 'sctp' for the SRV
>    Service of 'diameter'. 3588bis seems to add two more Proto values:
>    'tls' and 'dtls'.  However, RFC 6335, which defines updated rules
>    for the ports and services registry, allows only TCP, UDP, SCTP,
>    and DCCP as transport protocols.
> 
> My secondary concern was this:
> 
>    Furthermore, this specification does not register the 'diameter'
>    SRV Service value in accordance with RFC 6335. Because these values
>    were not defined or registered by draft-ietf-dime-extended-naptr, I
>    think they need to be defined here.
> 
> Please see Section 8.1 of RFC 6335 for the registration procedure:
> 
> http://tools.ietf.org/html/rfc6335#section-8.1
> 
> I think you can add this quite easily in a revised I-D before the
> deadline on Monday, or your AD can add an RFC Editor note.

OK, what to do about the port number, etc.?  Jouni, since you
volunteered that we would do this, how about writing the section?

> Thanks!
> Peter

---

From: jouni korhonen <[email-masked]>
Date: Fri, 9 Mar 2012 10:35:19 +0200

> volunteered that we would do this, how about writing the section?

That's ok.

- Jouni

> 
>> 
>> Thanks!
>> 
>> Peter
>> 
> 
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime

---

From: Glen Zorn <[email-masked]>
Date: Sun, 11 Mar 2012 14:07:19 +0700

On 3/9/2012 10:50 PM, Peter Saint-Andre wrote:

...

>>>>   SRV Service value in accordance with RFC 6335. 

And yet, "diameter" already is shown in the IANA registry with SCTP, TCP
and UDP as protocols.

>>>>   Because these values

Can this be done before the deadline Monday?

> 
> Thanks, Jouni. I think it should be easy, because RFC 6335 asks for:
> 
>       Service Name (REQUIRED)
>       Transport Protocol(s) (REQUIRED)
>       Assignee (REQUIRED)
>       Contact (REQUIRED)
>       Description (REQUIRED)
>       Reference (REQUIRED)
>       Port Number (OPTIONAL)
>       Service Code (REQUIRED for DCCP only)
>       Known Unauthorized Uses (OPTIONAL)
>       Assignment Notes (OPTIONAL)
>

---

From: jouni korhonen <[email-masked]>
Date: Sun, 11 Mar 2012 11:59:12 +0200

> Can this be done before the deadline Monday?

I try to get this done tonight.

- Jouni

---

From: Glen Zorn <[email-masked]>
Date: Sun, 11 Mar 2012 18:15:29 +0700

On 3/11/2012 4:59 PM, jouni korhonen wrote:

...

> I try to get this done tonight.

Never mind, I gave it a shot myself; but please take a look at
http://tools.ietf.org/html/draft-ietf-dime-rfc3588bis-31#section-11.4 to
see if I got it right :-).

...

---

From: jouni korhonen <[email-masked]>
Date: Sun, 11 Mar 2012 14:15:34 +0200

Hi,

> Never mind, I gave it a shot myself; but please take a look at

Thanks :)

> see if I got it right :-).

Don't we also need an entry for "_diameters"?

The Port  Number should probably be "TBD, from the User Ports".

Not sure about IESG and IETF chair as assignees and contact point.. Since
User Ports are assigned by IANA maybe we could put IANA as the contact
and the assignee ? Don't have a preference though :)

Otherwise looked ok to me.

- Jouni

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 09 Mar 2012 08:50:00 -0700

Service Name (REQUIRED)

---

From: jouni korhonen <[email-masked]>
Date: Sun, 11 Mar 2012 20:58:01 +0200

> and the assignee ? Don't have a preference though :)

Ok. Some foofoo stated by me here regarding the contacts ;)

This would be the registry entry with corrected service name and missing UDP protocol:

11.4.  "diameters" Service Name and Port Number Registration

   This section requests the IANA to register the "diameters" service
   name and assign port numbers for TLS/TCP and DTLS/SCTP according to
   the guidelines given in Cotton, et al.  [RFC6335].
   
      Service Name:         diameters
      Transport Protocols:  TCP, SCTP, UDP (reserved)
      Assignee:             IESG <[email-masked]>
      Contact:              IETF Chair <[email-masked]>
      Description:          Diameter over TLS/TCP and DTLS/SCTP
      Reference:            draft-ietf-dime-rfc3588bis
      Port  Number:         TBD, from the User Ports range

- Jouni

---

From: Glen Zorn <[email-masked]>
Date: Mon, 12 Mar 2012 17:37:13 +0700

> Don't we also need an entry for "_diameters"?

OK, so "diameter" is already in the IANA service name registry; what do
we need _diameter for?

> The Port  Number should probably be "TBD, from the User Ports".

Fine.

> 
> Not sure about IESG and IETF chair as assignees and contact point.. 

RFC 6335 says

      For assignments done through RFCs published via the "IETF
      Document Stream" [RFC4844], the Assignee will be the IESG
      <[email-masked]>.
and
      For assignments done through RFCs published via the "IETF
      Document Stream" [RFC4844], the Contact will be the IETF Chair
      <[email-masked]>.

Isn't this draft being published via the IETF Document Stream?

> Since

---

From: Glen Zorn <[email-masked]>
Date: Mon, 12 Mar 2012 17:40:03 +0700

> and missing UDP protocol:

I'm pretty sure that Diameter doesn't run over UDP; why is it "missing"?

---

From: jouni korhonen <[email-masked]>
Date: Mon, 12 Mar 2012 12:54:58 +0200

> I'm pretty sure that Diameter doesn't run over UDP; why is it "missing"?

The existing registry entry also listed UDP as reserved. That's why I added
it here as well as "reserved".

- Jouni